package gmt.io.server.vo;

/**
 * Allow, Reject List를 관리 하기 위한 vo클래스
 * @author 박병관
 * @since 2018.07.27
 * @version 1.0
 * @see
 *
 * <pre>
 * << 개정이력(Modification Information) >>
 *
 *   수정일      				수정자          	수정내용
 *  -------------   ----------    ---------------------------
 *  2018.07.27  		박병관          	최초개발
 *  </pre>
 */

public class ConnObjVO {

	//List Id
	private int id;
	//target Ip - 접속 대상 ip
	private String ip;
	
	private int tag;
	//target Port - 접속 대상 port
	private int serverPort;
	//target Name - 접속 대상 이름
	private String name;
	//target allow 여부 - true:접속가능  _  false:접속 불가
	private boolean allow;
	//target sndStat
	private boolean sndStat;
	private String desc;
	private int rcvDec;
	private int sendEnc;
	private boolean rcvDecmp;
	private boolean sendComp;
	private boolean shorts;
	
	
	public ConnObjVO() {
		
	}
	
	public int getId() {
		return id;
	}
	public String getIp() {
		return ip;
	}
	public int getTag() {
		return tag;
	}
	public int getServerPort() {
		return serverPort;
	}
	public String getName() {
		return name;
	}
	public boolean isAllow() {
		return allow;
	}
	public boolean isSndStat() {
		return sndStat;
	}
	public String getDesc() {
		return desc;
	}
	public int getRcvDec() {
		return rcvDec;
	}
	public int getSendEnc() {
		return sendEnc;
	}
	public boolean isRcvDecmp() {
		return rcvDecmp;
	}
	public boolean isSendComp() {
		return sendComp;
	}
	public boolean isShorts() {
		return shorts;
	}
	public void setId(int id) {
		this.id = id;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	public void setTag(int tag) {
		this.tag = tag;
	}
	public void setServerPort(int serverPort) {
		this.serverPort = serverPort;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setAllow(boolean allow) {
		this.allow = allow;
	}
	public void setSndStat(boolean sndStat) {
		this.sndStat = sndStat;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
	public void setRcvDec(int rcvDec) {
		this.rcvDec = rcvDec;
	}
	public void setSendEnc(int sendEnc) {
		this.sendEnc = sendEnc;
	}
	public void setRcvDecmp(boolean rcvDecmp) {
		this.rcvDecmp = rcvDecmp;
	}
	public void setSendComp(boolean sendComp) {
		this.sendComp = sendComp;
	}
	public void setShorts(boolean shorts) {
		this.shorts = shorts;
	}
	
	

}